> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update vendor

Updates the information about vendors in the dataset.

## HTTP request

```http theme={null}
PUT https://api-{location-id}.flexicapture.com/v2/dataset/vendors
```

Replace `{location-id}` with your [supported location](/flexi-capture/cloud/cloud-f-cfor-invoices-api#icaas-supported-countries).

## Request body

The request body has the following structure:

```json theme={null}
{
  "region": "US",
  "vendors": [
    {
      "external_id": "string",
      "business_unit_id": "string",
      "name": [
        "string"
      ],
      "street": [
        "string"
      ],
      "city": [
        "string"
      ],
      "state": [
        "string"
      ],
      "zip": [
        "string"
      ],
      "country_code": "string",
      "vat": [
        "string"
      ],
      "national_vat": [
        "string"
      ],
      "iban": [
        "string"
      ],
      "bank_account": [
        "string"
      ],
      "bank_code": [
        "string"
      ],
      "gl_code": [
        "string"
      ]
    }
  ]
}
```

| Field   | Type                             | Description                |
| ------- | -------------------------------- | -------------------------- |
| `model` | body, object(UpdateVendorsModel) | Required. List of vendors. |

### UpdateVendorsModel

| Field       | Type                | Description                                                                                                             |
| ----------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `region`    | string              | Required. Vendors' region. Supported regions: `US`: USA, `AU`: Australia, `EU`: European Union countries, `CA`: Canada. |
| `vendors[]` | object(VendorModel) | Required. List of vendors.                                                                                              |

### VendorModel

| Field              | Type   | Description                                          |
| ------------------ | ------ | ---------------------------------------------------- |
| `external_id`      | string | Required. External vendor's ID.                      |
| `business_unit_id` | string | Required. Business unit ID.                          |
| `name[]`           | string | Required. Vendor name.                               |
| `street[]`         | string | Optional. Vendor street.                             |
| `city[]`           | string | Optional. Vendor city.                               |
| `state[]`          | string | Optional. Vendor state.                              |
| `zip[]`            | string | Optional. Vendor zip code.                           |
| `country_code`     | string | Required. Country code in ISO 3166-1 alpha-2 format. |
| `vat[]`            | string | Optional. Tax payer ID.                              |
| `national_vat[]`   | string | Optional. National tax payer ID.                     |
| `iban[]`           | string | Optional. International bank account number.         |
| `bank_account[]`   | string | Optional. Bank account ID.                           |
| `bank_code[]`      | string | Optional. Bank code.                                 |
| `gl_code[]`        | string | Optional. General ledger code.                       |

## Response

If successful, the server returns a `204 No Content` HTTP status.
